Package org.apache.batchee.container.status

## Enum ExtendedBatchStatus

- java.lang.Object
- - java.lang.Enum<ExtendedBatchStatus>
  - - org.apache.batchee.container.status.ExtendedBatchStatus

- All Implemented Interfaces:
    `Serializable`, `Comparable<ExtendedBatchStatus>`

      public enum ExtendedBatchStatus
      extends Enum<ExtendedBatchStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DO_NOT_RUN` |
    `EXCEPTION_THROWN` |
    `JOB_OPERATOR_STOPPING` |
    `JSL_END` |
    `JSL_FAIL` |
    `JSL_STOP` |
    `NORMAL_COMPLETION` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ExtendedBatchStatus` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ExtendedBatchStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### JSL_END

          public static final ExtendedBatchStatus JSL_END

    - #### JSL_FAIL

          public static final ExtendedBatchStatus JSL_FAIL

    - #### JSL_STOP

          public static final ExtendedBatchStatus JSL_STOP

    - #### NORMAL_COMPLETION

          public static final ExtendedBatchStatus NORMAL_COMPLETION

    - #### EXCEPTION_THROWN

          public static final ExtendedBatchStatus EXCEPTION_THROWN

    - #### JOB_OPERATOR_STOPPING

          public static final ExtendedBatchStatus JOB_OPERATOR_STOPPING

    - #### DO_NOT_RUN

          public static final ExtendedBatchStatus DO_NOT_RUN

  - ### Method Detail

    - #### values

          public static ExtendedBatchStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExtendedBatchStatus c : ExtendedBatchStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExtendedBatchStatus valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null